| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.WithAll

Portability | unportable
Stability | unstable

Contents

Usage

Description
Provides functions for performing a given action on all windows of the current workspace.
Synopsis

sinkAll :: X ()
withAll :: (Window -> X ()) -> X ()
withAll' :: (Window -> WindowSet -> WindowSet) -> X ()
killAll :: X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.WithAll

then add a keybinding; for example:

, ((modm .|. shiftMask, xK_t), sinkAll)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

sinkAll :: X () | Source

Un-float all floating windows on the current workspace.

withAll :: (Window -> X ()) -> X () | Source

Execute an `X` action for each window on the current workspace.

withAll' :: (Window -> WindowSet -> WindowSet) -> X () | Source

Apply a function to all windows on the current workspace.

killAll :: X () | Source

Kill all the windows on the current workspace.
Produced by Haddock version 2.4.2